# std::_UnClos< _Oper, _Expr, _Dom > Struct Template Reference

Inheritance diagram for std::_UnClos< _Oper, _Expr, _Dom >:

List of all members.

## Detailed Description

### template<class _Oper, class _Dom>
struct std::_UnClos< _Oper, _Expr, _Dom >

Definition at line 490 of file valarray_before.h.

## Public Types

- typedef _Dom _Arg
- typedef _UnBase< _Oper, _Dom > _Base
- typedef _Dom::value_type _Vt
- typedef _Base::value_type value_type

## Public Member Functions

- _UnClos (const _Arg &__e)
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this struct was generated from the following file:

- valarray_before.h